#include <iostream>
using namespace std;

//Peti
int main() {
    int n;
    scanf("%d", &n);
    
    int a[n], b[n];
    int dp1[n][n], dp2[n][n];
    
    for(int i = 0;i<n;i++){
        scanf("%d", &a[i]);
    }
    
    for(int i = 0;i<n;i++){
        scanf("%d", &b[i]);
    }
    
    for(int i = 0; i<n;i++){
        dp1[i][i] = a[i];
        dp2[i][i] = b[i];
        for(int j = 0; j<i;j++){
            dp1[i][j] = dp1[i-1][j] ^ a[i];
            dp2[i][j] = dp2[i-1][j] & b[i];
        }
    }
    
    int mx = 0;
    for(int i =1;i<n;i++){
        for(int j =0;j<i;j++){
            if(dp1[i][j]*dp2[i][j] > mx){
                mx  = dp1[i][j]*dp2[i][j];
            }
        }
    }
    printf("%d", mx);
    return 0;
    
}